org.apache.lucene.codecs.simpletext

## Class SimpleTextNormsFormat.SimpleTextNormsProducer

- java.lang.Object
- - org.apache.lucene.codecs.NormsProducer
  - - org.apache.lucene.codecs.simpletext.SimpleTextNormsFormat.SimpleTextNormsProducer

All Implemented Interfaces:
  Closeable, AutoCloseable, Accountable

Enclosing class:
  SimpleTextNormsFormat

    public static class SimpleTextNormsFormat.SimpleTextNormsProducer
    extends NormsProducer

Reads plain-text norms.

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`SimpleTextNormsProducer(SegmentReadState state)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkIntegrity()`
`void` `close()`
`Collection<Accountable>` `getChildResources()`
`NumericDocValues` `getNorms(FieldInfo field)`
`long` `ramBytesUsed()`
`String` `toString()`

### Methods inherited from class org.apache.lucene.codecs.NormsProducer

`getMergeInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SimpleTextNormsProducer

    public SimpleTextNormsProducer(SegmentReadState state)
                            throws IOException

Throws:
  `IOException`

### Method Detail

#### getNorms

    public NumericDocValues getNorms(FieldInfo field)
                              throws IOException

Specified by:
  `getNorms` in class `NormsProducer`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Throws:
  `IOException`

#### ramBytesUsed

    public long ramBytesUsed()

#### getChildResources

    public Collection<Accountable> getChildResources()

#### checkIntegrity

    public void checkIntegrity()
                        throws IOException

Specified by:
  `checkIntegrity` in class `NormsProducer`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`